import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { UtilTimeService } from '../../../shared/service/utilTime.service';
import { TimerComponent } from '../../../shared/components/common/timer/timer.component';
import { Timer, TestProgress, CurrentData } from '../../../shared/models/index';
import { TestData } from '../../../shared/models/index';
import { InstanceData } from '../../../shared/models/index';
import { TestModeSettings } from '../../../shared/models/index';
import { TestEngineFeatures } from '../../../shared/models/index';
import { QuizService } from '../../../shared/service/quiz.service';
export declare class HeaderComponent implements OnInit, OnChanges {
    private utilService;
    private quizService;
    quizTime: string;
    timePerQuestion: number;
    timeSpentForItem: number;
    isTotalTimeExceeded: boolean;
    isItemTimeExceeded: boolean;
    testModeSettings: TestModeSettings;
    testEngineFeatures: TestEngineFeatures;
    itemTimerConfig: Timer;
    quizTimerConfig: Timer;
    testData: TestData;
    instanceData: InstanceData;
    itemData: CurrentData;
    testProgress: TestProgress;
    itemTimer: TimerComponent;
    quizTimer: TimerComponent;
    constructor(utilService: UtilTimeService, quizService: QuizService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    setQuizTimer(): void;
    setItemDetails(): void;
    getTotalTimeSpent(): number;
    getItemTimeSpent(): number;
    itemTimeExceeded(): void;
    totalTimeExceeded(): void;
    getTimer(time: any): string;
}
